He = 1004;
She = 1003;
BHe = 1008;
BShe = 1009;
 c("\n angar_start")
	flags.rentgen_taken = true;
	flags.nvg_taken = true;
	flags.pointer_taken = true;
	flags.scaner_taken = true;
dofile("script\\gamemenu.lua");
dofile("script\\lib.lua");
-- CreateConsole()
set_inpun_fun("gameinput");
function LevelComplete()

	
	flags = {};
	
	flags.glove_taken = true;	
	flags.rentgen_taken = true;
	flags.nvg_taken = true;
	flags.pointer_taken = true;
	flags.scaner_taken = true;
	flags.restore_sheet = false;
	
	SaveGame1();
	delete_tree_leaf("Root","angar");
	if gloveselect then	RotateToPos(2);		end;
	if nvgselect then	RotateToPos(3);			end;
	if rentgenselect then	RotateToPos(1);			end;
	if scanerselect then	RotateToPos(0);			end;
	obj={}
	NextLevel(7);
end;
flags.glove_taken = true;	
	flags.rentgen_taken = true;
	flags.nvg_taken = true;
	flags.scaner_taken = true;

flags["kyky"] = true;
flags["led"] = false;

flags["comics1"] = true;
flags["comics2"] = false;
flags["comics3"] = false;
flags["mini1"] = false;
flags["mini2"] = false;
flags["over"] = false;
flags["items"] = 0;
scaner_is_usable=false
pointer_is_usable=false
flags.items_collected = false;
flags.first_up_westeri= true;
flags.first_up_angar= true;
flags["start_draw"] = true;
flags["first_time_load"] = true;
flags["start_mini1"] = false;
flags["start_mini2"] = false;
flags["start_comics"] = false;
flags.mini_com= false;
flags.mini_com2= false;
flags.plawes1= false;
flags.plawes= false;
flags.comics_fin= false;
flags.cton= false;
flags.vzali=false

flags.light1=true;
flags.light=false;
flags.nv_done=true;
flags.nvg_block=false;



if flags.restore_sheet then
	LoadGame();
	AddTool();
end;

		if flags.door and not flags.mini_com then
			AddParticleToObject(100,"door");
			MoveEmiter("door",489,376);
			StartEmiter( "door" );
			Set_Cursor( 100, 4 );
		end;
		if flags.mini_com and not flags.mini_com2 then
			set_visible_object( 99, true );
			AddParticleToObject(99,"mini1");
			MoveEmiter("mini1",64,441);
			StartEmiter( "mini1" );
		end;
flags.restore_sheet = true;

AddTreeLeaf( "Root", "angar", 6, 0 );
AddTxt();
dofile("./data/6/0/res.lua");

flags.start_draw = true;
	 c("\n angar")
SetCurrentLeaf( "angar", 6, 0 );
ShowMenu( false );
StartAnimation( 5555555555,5,5 );

if flags.items_collected then
StartEmiter("led");
end;

if flags.vzali then
set_visible_object(104,true)
set_visible_object(105,false)
StartEmiter("mini1");
end

if  flags.door and not flags.mini_com then			
Set_Cursor(100,4);				
end	

if flags.mini1 then			
Set_Cursor(99,2);				
end				

-- playfile(".\\sound\\064.ogg",true,true);
-- playeffect("064",true)